org.apache.tamaya.json

## Class JSONFormat

- java.lang.Object
- - org.apache.tamaya.json.JSONFormat

- All Implemented Interfaces:
    org.apache.tamaya.format.ConfigurationFormat

      public class JSONFormat
      extends Object
      implements org.apache.tamaya.format.ConfigurationFormat

  Implementation of the `ConfigurationFormat` able to read configuration properties represented in JSON
  See Also:
    JSON format specification

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JOHNZON_SUPPORTS_COMMENTS_PROP` Property that make Johnzon accept commentc.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSONFormat()` Constructor, itniaitlizing zhe JSON reader factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accepts(URL url)`
    `String` | `getName()`
    `org.apache.tamaya.format.ConfigurationData` | `readConfiguration(String resource, InputStream inputStream)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JOHNZON_SUPPORTS_COMMENTS_PROP

          public static final String JOHNZON_SUPPORTS_COMMENTS_PROP

      Property that make Johnzon accept commentc.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JSONFormat

          public JSONFormat()

      Constructor, itniaitlizing zhe JSON reader factory.

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.apache.tamaya.format.ConfigurationFormat`

    - #### accepts

          public boolean accepts(URL url)

      Specified by:
        `accepts` in interface `org.apache.tamaya.format.ConfigurationFormat`

    - #### readConfiguration

          public org.apache.tamaya.format.ConfigurationData readConfiguration(String resource,
                                                                     InputStream inputStream)

      Specified by:
        `readConfiguration` in interface `org.apache.tamaya.format.ConfigurationFormat`

Copyright © 2015–2016 Apache Software Foundation. All rights reserved.